=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEBIAN_DIR = $(shell pwd)/debian

build: configure build-stamp

configure: configure-stamp
configure-stamp:
	dh_testdir
# Upstream has outdated aclocal.
	aclocal 
	autoheader
	automake -a -c --gnu
	autoconf
	CFLAGS="-O2" \
	./configure --prefix=/usr --bindir=/usr/games --datadir=/usr/share --mandir=/usr/share/man --localstatedir=/var
	touch $@


build-stamp:
	dh_testdir
	$(MAKE)
	touch $@


clean:
	dh_testdir
	dh_testroot

	[ ! -f Makefile ] || $(MAKE) distclean
	-rm -f build-stamp configure-stamp install-stamp configure
	-rm -f config.guess config.sub config.h config.h.in 
	-rm -f missing aclocal.m4 Makefile.in depcomp
	-rm -f Docs/Makefile styles/Makefile graphics/Makefile .protos/Makefile 
	dh_clean


install: build install-stamp
install-stamp:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) install DESTDIR=$(DEBIAN_DIR)/atris
	$(MAKE) install_gamedocs target=$(DEBIAN_DIR)/atris/usr/share/doc/atris/
	-rm -f $(DEBIAN_DIR)/atris/usr/share/doc/atris/COPYING*
#	Will be generated at posinst if doesn't exist
	-rm -f $(DEBIAN_DIR)/atris/var/games/atris/Atris.Players
	-rm -f $(DEBIAN_DIR)/atris/var/games/atris/Atris.Scores

	touch $@


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_install
	dh_installdocs
	dh_installmenu
	dh_installman debian/atris.1 debian/atris.de.1
	dh_desktop
#	dh_undocumented
	dh_installchangelogs ChangeLog
	dh_link 
	dh_strip
	dh_compress
	dh_fixperms
	chown root.games $(DEBIAN_DIR)/atris/usr/games/atris
	chmod 2755 $(DEBIAN_DIR)/atris/usr/games/atris
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
